<template>
  <div class="mb-2 border border-light shadow">
    <div class="bg-dark p-3">
      <span class="float-left">
        {{ product.name }}
        <h6>
          <span class="badge badge-success"
            >{{
              (product.price / 100)
                .toFixed(2)
                .replace(".", ",")
                .replace(/\B(?=(\d{3})+(?!\d))/g, ".")
            }}
            EUR</span
          >
        </h6>
      </span>
      <span class="float-right">
        <h6>
          <span class="badge badge-light"
            >{{ $t("stock") }}: {{ product.stock }}</span>
        </h6>
      </span>
      <div class="clearfix"></div>
    </div>
    <div class="my-3 px-3">Test Beschreibung</div>
    <div class="bg-dark p-3 text-muted">
      <form @submit.prevent="order" @keydown="form.onKeydown($event)">
        <div class="row mb-2">
          <div class="col-12">
            <b-form-spinbutton v-model="form.product_amount" :placeholder="product.stock < 1 ? $t('sold_out') : $t('amount')" :disabled="product.stock < 1" min="1" :max="product.stock"></b-form-spinbutton>
          </div>
        </div>
        <div class="row">
          <div class="col-12 mb-2">
            <v-button
              :loading="form.busy"
              block
              type="success"
              :disabled="product.stock < 1"
            >
              {{ product.stock < 1 ? $t('sold_out') : $t('buy') }}
            </v-button>
          </div>
        </div>
      </form>
    </div>
  </div>
</template>

<script>
import Form from "vform";

export default {
  name: "Product",
  props: ["product"],

  data: () => ({
    form: new Form({
      product_id: "",
      product_amount: null,
    }),
  }),

  mounted() {
    this.form.product_id = this.product.id;
  },

  methods: {
    async order() {
      const { data } = await this.form.post(route('shop.orders.create'))
      if (data) {
        this.$router.push({ name: 'panel.orders' });
      }
    },
  },
};
</script>

<style scoped>
</style>
